[rumor] New insanity, MAD001 CFW6.20

Discussion in 'PSP - Games & Content' started by dirty_harry, Feb 9, 2010.

Thread Status:
Not open for further replies.
  1. dirty_harry
    OP

    dirty_harry GBAtemp Regular

    Member
    160
    0
    Jan 30, 2008
    Hunting as I usually hunt, I have found this Japanese guy who is supposedly going to release a new CFW that will run all games released before 25/01/10 - including KH:BBS and God Eater. Time will tell if this (these?) guy(s) makes good on his claims.

    [​IMG]



    I really want to believe this, but I am skeptical. The Pic doesn't have any tell tale signs of shoppage (yes I invented that word right now, no I do not regret it) but It wouldn't be hard to shop it either.

    It would be awesome if we could get a Japanese reader to give us a rundown of the MAD-001 site. There are a LOT of comments and a few posts there, some are saying that KH:BBS is working fully, but from what I gather the CFW isn't working on PSP-1000 models and it also has PS1 game issues.

    I don't know, but I wouldn't believe this from anyone but the Japanese. Always have faith in the Japanese [​IMG]

    EDIT: The team? is originating from 2ch (from what I gather).
     
  2. Skyline969

    Skyline969 MENUdo Afficionado

    Member
    2,207
    8
    Nov 18, 2008
    Canada
    Saskatchewan
    I guess time will tell... I've never heard of this "MAD-001", so I guess we'll find out. Sounds fishy to me, though.
     
  3. retiredjerk

    retiredjerk GBAtemp Regular

    Member
    251
    0
    Dec 7, 2006
    pretty sweet if its stable and true..although i barely turn on the psp anymore.
     
  4. prowler

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
    Should be insta-suspension on these rumours...
     
  5. dirty_harry
    OP

    dirty_harry GBAtemp Regular

    Member
    160
    0
    Jan 30, 2008
    Not sure I follow you...
     
  6. luke_c

    luke_c Big Boss

    Member
    3,587
    32
    Jun 16, 2008
    Land of England
    Looks pretty legit to me, why wouldn't it be able to run games after that date though if it's on 6.20?
     
  7. dirty_harry
    OP

    dirty_harry GBAtemp Regular

    Member
    160
    0
    Jan 30, 2008
    I think it's a guarantee that God Eater and KH:BBS works. I haven't read anywhere that it wont work for post 25/01.
     
  8. Jamstruth

    Jamstruth Secondary Feline Anthropomorph

    Member
    3,456
    185
    Apr 23, 2009
    North East Scotland
    Don't trust it, its easy to use Version Changer to change what appears on that screen and the PS1 emu issues make me wonder how stable it will be (if it is real) I'll stick with GEN thanks
     
  9. foxgrey

    foxgrey GBAtemp Regular

    Member
    104
    0
    Nov 15, 2008
    United States
    I realize that the translation was from google, and not a real good one at that, but this part here caught my attention...

    So basically, I am understanding that they have fixed the memory card slow downs, and on top of that they added support for more media types? If this is true, I'd say thats almost more exciting that being able to play KH:BBS (gasp).

    Or maybe points to this being a hoax, and really trying too hard.

    I hope I am wrong about the hoax part, but seems really too good to be true at this point.
     
  10. dirty_harry
    OP

    dirty_harry GBAtemp Regular

    Member
    160
    0
    Jan 30, 2008
    I cant understand most of the 'translated' stuff. I really don't want it to be a hoax, but it really looks like one. 5 days we will see.
     
  11. WildWon

    WildWon EXTERMINATE!

    Former Staff
    2,816
    10
    Apr 4, 2008
    United States
    8-Bit Heaven
    Before this becomes a flamefest, i'm going to lock this until further proof is brought to me.

    A version changer can make it read whatever you'd like in there. And none of the "official" hack blogs i check have said ANYTHING about this, and this would be huge.

    So please PM me with more info if it's legit. Otherwise...

    *lock'd*
     
Thread Status:
Not open for further replies.